/// <reference types="node" />
import { ReadStream } from 'fs';
import EventEmitter = require('events');
export interface EventEmitterOn<T, V> {
    on(type: T, listener: (data: V) => void): this;
    once(type: T, listener: (data: V) => void): this;
    emit(type: T, data: V): void;
}
export interface Frame {
    id: string;
    text?: string;
    syncText?: [number, string][];
    buffer?: Buffer;
    url?: string;
    descriptor?: string;
    type?: string;
    mimeType?: string;
    description?: string;
    languageCode?: string;
    timeStampFormat?: string;
}
export declare type Parser = EventEmitterOn<'frame', Frame> & EventEmitter;
export declare function readId3(input: ReadStream | string, parser: true): Parser;
export declare function readId3(input: ReadStream | string, needed?: string[]): Promise<Map<string, Frame>>;
